Subject: Re: [Sip] SIP WG closed (was RE: Question about Accept-Language)

From: "Attila Sipos" <[email-masked]>
Date: Thu, 7 May 2009 09:28:51 +0100

>>And by the way, the SIP working group is now closed. 

So where will the creation of new SIP working groups be declared?
Seems like the SIP WG is still useful for announcements of that kind.

Or where does one go to see the list of all SIP-related working groups?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Dean Willis
Sent: 07 May 2009 06:14
To: Szilagyi, Mike
Cc: [email-masked]
Subject: Re: [Sip] Question about Accept-Language

I believe it means you have no preferred language, thereby granting
equal precedence to any language. In other words, the same as not
putting the header field in at all.

My rule of thumb: a header field with no value has no value.

Honoring the Accept-Language by actually sending reason phrases, etc.  
in-language is not mandatory. As far as I know, most server packages
ignore it.

And by the way, the SIP working group is now closed. I don't know how
many folks are still monitoring this mailing list. All remaining work
has transitioned eitehr to other working groups, or to that interminable
no-mans land known as "AD sponsored".

--
Dean Willis, Former co-Chair.

On May 6, 2009, at 1:20 PM, Szilagyi, Mike wrote:

> In RFC3261, the Accept-Language section defines the headers meaning 
> with a language value present and its meaning when the header is not 
> present.
>
> 20.3 Accept-Language
>
>    The Accept-Language header field is used in requests to indicate 
> the
>    preferred languages for reason phrases, session descriptions, or
>    status responses carried as message bodies in the response.  If no
>    Accept-Language header field is present, the server SHOULD assume 
> all
>    languages are acceptable to the client.
>
>    The Accept-Language header field follows the syntax defined in
>    [H14.4].  The rules for ordering the languages based on the "q"
>    parameter apply to SIP as well.
>
>    Example:
>
>       Accept-Language: da, en-gb;q=0.8, en;q=0.7
>
>
> The grammar for Accept-Language shows the language value as optional:
>
>       Accept-Language  =  "Accept-Language" HCOLON
>                               [ language *(COMMA language) ]
>
>
> What does it mean if the header is present but with an empty language 
> value?
>
>           Accept-Language:
>
> Regards,
> Mike
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Thu, 07 May 2009 08:25:09 -0500

> Or where does one go to see the list of all SIP-related working groups?

Attila: The SIP and SIPPING WGs have been replaced by
sipcore (http://www.ietf.org/html.charters/sipcore-charter.html)
and dispatch (http://www.ietf.org/html.charters/dispatch-charter.html).

The genesis for this change was discussed in
http://tools.ietf.org/html/draft-peterson-rai-rfc3427bis-01,
and you can hear the deliberations on this in the last IETF
meeting at
http://www.softarmor.com/mediawiki/index.php/SIP_Audio_for_IETF_74,
see item number 2 on that page (SIP change process (Jon Peterson)).

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
Web:   http://ect.bell-labs.com/who/vkg/